org.jbpm.persistence

## Class MapProcessPersistenceContextManager

- java.lang.Object
- - org.drools.persistence.map.MapPersistenceContextManager
  - - org.jbpm.persistence.MapProcessPersistenceContextManager

- All Implemented Interfaces:
    org.drools.persistence.api.PersistenceContextManager, org.jbpm.persistence.api.ProcessPersistenceContextManager

      public class MapProcessPersistenceContextManager
      extends org.drools.persistence.map.MapPersistenceContextManager
      implements org.jbpm.persistence.api.ProcessPersistenceContextManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapProcessPersistenceContextManager(org.jbpm.persistence.api.ProcessPersistenceContext persistenceContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jbpm.persistence.api.ProcessPersistenceContext` | `getProcessPersistenceContext()`

    - ### Methods inherited from class org.drools.persistence.map.MapPersistenceContextManager

      `beginCommandScopedEntityManager, clearPersistenceContext, dispose, endCommandScopedEntityManager, getApplicationScopedPersistenceContext, getCommandScopedPersistenceContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.persistence.api.PersistenceContextManager

      `beginCommandScopedEntityManager, dispose, endCommandScopedEntityManager, getApplicationScopedPersistenceContext, getCommandScopedPersistenceContext, resetApplicationScopedPersistenceContext`

- - ### Constructor Detail

    - #### MapProcessPersistenceContextManager

          public MapProcessPersistenceContextManager(org.jbpm.persistence.api.ProcessPersistenceContext persistenceContext)

  - ### Method Detail

    - #### getProcessPersistenceContext

          public org.jbpm.persistence.api.ProcessPersistenceContext getProcessPersistenceContext()

      Specified by:
        `getProcessPersistenceContext` in interface `org.jbpm.persistence.api.ProcessPersistenceContextManager`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.